Summary: PostScript interpreter and renderer (with Japanese extension)
Name: ghostscript
%define gsversion 	5.50
%define jpegversion 	6b
%define libpngversion 	1.0.2
%define zlibversion	1.1.3
%define jpkitrelease  	-1.0
%define prefix		/usr
Version: %{gsversion}jp
Release: 1a
Copyright: Aladdin Ghostscript Free Public License
Icon: ghost.gif
Group: Applications/Graphics
Source0: ftp://ftp.cs.wisc.edu/ghost/aladdin/ghostscript-%{gsversion}.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/aladdin/ghostscript-%{gsversion}gnu.tar.gz
Source2: ftp://ftp.cs.wisc.edu/ghost/aladdin/ghostscript-%{gsversion}jpeg.tar.gz
Source3: ftp://ftp.cs.wisc.edu/ghost/aladdin/ghostscript-%{gsversion}libpng.tar.gz
Source4: ftp://ftp.cs.wisc.edu/ghost/aladdin/ghostscript-%{gsversion}zlib.tar.gz
Source5: http://ldl-www.jaist.ac.jp:8080/~akr/nonresearch/free-software/ghostscript/gs%{gsversion}-vflib%{jpkitrelease}.tar.gz
BuildRoot: /tmp/root-gs
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

Requires: ghostscript-fonts

%changelog
* Sun Oct 25 1998 Keisuke Fujii
- Upgraded to v.5.50

* Thu Nov 27 1997 Keisuke Fujii
- 1st release based on ghostscrip-5.03jp-1.src.rpm by Satoshi Ishikawa

%description
Ghostscript is a PostScript interpretor. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for color printers), and popular graphics
file formats.  This package uses VFlib (Vector Font Library) to handle
Japanese fonts.  The Japanese patch was prepared by Akira TNAKA.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

%setup -n gs%{gsversion}
%setup -T -D -b 1 -n gs%{gsversion}
%setup -T -D -a 2 -n gs%{gsversion}
%setup -T -D -a 3 -n gs%{gsversion}
%setup -T -D -a 4 -n gs%{gsversion}
%setup -T -D -b 5 -n gs%{gsversion}

patch -p1 < ../gs%{gsversion}-vflib%{jpkitrelease}/gs%{gsversion}-vflib%{jpkitrelease}.diff
ln -s unix-gcc.mak Makefile
mv jpeg-%{jpegversion} jpeg
mv libpng-%{libpngversion} libpng
mv zlib-%{zlibversion} zlib
mv ../gs%{gsversion}-vflib%{jpkitrelease}/README README.jp
rm -rf ../gs%{gsversion}-vflib%{jpkitrelease}

%build
make prefix=%{prefix} \
	XINCLUDE='-I/usr/X11R6/include' \
	XLIBDIRS='-L/usr/X11R6/lib' \
	XLIBS='Xt Xext X11 SM ICE VFlib'

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

strip $RPM_BUILD_ROOT%{prefix}/bin/gs

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc PUBLIC README* *.htm
%{prefix}/bin/*
%dir %{prefix}/share/ghostscript/%{gsversion}vflib
%{prefix}/share/ghostscript/%{gsversion}vflib/*
%{prefix}/man/*/*
